package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedRegion;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * <p>
 *   满意度-区域业务处理接口
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
public interface SatisfiedRegionService {


    Result queryPageList(SatisfiedRegion satisfiedRegion, int page, int size, AccessToken accessToken);

    Result getrevenue(AccessToken accessToken, HttpServletRequest request) throws IOException;

    Result edit(SatisfiedRegion satisfiedRegion, AccessToken accessToken);

    Result del(String id, AccessToken accessToken);
}
